angular.module('tms.services', [])
        .factory('tmsService', function ($http, $window) {
            var baseUrl = "http://timesheet.mpm-rent.net/timesheet/services/";
            return {
                doLogin: function (data) {
                    return $http.post(baseUrl + 'doLogin', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                add: function (data) {
                    return $http.post(baseUrl + 'add', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                approve: function (data) {
                    return $http.post(baseUrl + 'approve', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                update: function (data) {
                    return $http.post(baseUrl + 'update', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                getAllTimesheet: function () {
                    return $http.get(baseUrl + 'lists/' + $window.localStorage['uid']);
                },
                getIdTimesheet: function (id) {
                    return $http.get(baseUrl + 'list_details/' + id);
                },
                getAllReport: function () {
                    return $http.get(baseUrl + 'approved_lists/' + $window.localStorage['uid']);
                },
                getIdReport: function (id) {
                    return $http.get(baseUrl + 'approved_list_details/' + id);
                },
                deleteTime: function (data) {
                    return $http.post(baseUrl + 'delete_batch', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                searchReport: function (data) {
                    return $http.post(baseUrl + 'approved_lists_period', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                },
                searchTimesheet: function (data) {
                    return $http.post(baseUrl + 'lists_period', data, {
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8;'
                        }
                    });
                }
            };
        });